# -*- coding: utf-8 -*-

import pymel.core as pm


class utils(object):
    '''utils'''
    def __init__(self):
        '''init'''
        pass

    def displayColorSet(self,ooOceanNode,colorSetName):
        """
        check if plus is loaded, if not load it
        """
        currentNode = pm.PyNode(ooOceanNode)
        if currentNode.mode.get()!=1:
            colorSetNameTemp = colorSetName

            doAttr = False
            if (colorSetName!="velocityPV"):
                colorSetName = ooOceanNode+"_"+colorSetName
                doAttr = currentNode.attr("do"+colorSetName.split("_")[1][0].upper()+colorSetName.split("_")[1][1:])
            else:
                doAttr = currentNode.attr("doVelocity")

            
            if (doAttr.get()):
                outMesh = currentNode.outMesh
                for i in outMesh.listHistory(f=True):
                    if i.type() == "mesh":
                        i.displayColors.set(1)
                        i.displayColorChannel.set("None")
                        pm.polyColorSet (i,currentColorSet=True, colorSet=colorSetName)
            else:
                doAttr.set(1)
                self.displayColorSet(ooOceanNode,colorSetNameTemp)

    def connectCamera(self,ooSurfaceNode,cameraNode):
        """
        connect camera to planenode
        """
        if (pm.objExists(ooSurfaceNode) and pm.objExists(cameraNode)):
            surface = pm.PyNode(ooSurfaceNode)
            camera = pm.PyNode(cameraNode)
            if surface.type() == "ooSurface" and camera.type() == "camera":
                camera.worldMatrix.connect(surface.cameraWorldMatrix,f=True)
                camera.cameraScale.connect(surface.cameraScale,f=True)
                camera.horizontalFilmAperture.connect(surface.horizontalFilmAperture,f=True)
                camera.verticalFilmAperture.connect(surface.verticalFilmAperture,f=True)
                camera.horizontalFilmOffset.connect(surface.horizontalFilmOffset,f=True)
                camera.verticalFilmOffset.connect(surface.verticalFilmOffset,f=True)
                camera.nearClipPlane.connect(surface.nearClippingPlane,f=True)
                camera.farClipPlane.connect(surface.farClippingPlane,f=True)
                camera.focalLength.connect(surface.focalLength,f=True)
                camera.lensSqueezeRatio.connect(surface.lensSqueezeRatio,f=True)
        else:
            print "please select in order: camera and surface nodes"
